$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-8d56dd196910d087d19112f640c818dde246f1e9/rpcs3-v0.0.12-10863-8d56dd19_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '2bc577277bc514e9dae2c05aae95519f363509d8493db6590cb8b61e40644ea0'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
